summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorJavier Jardón <jjardon@gnome.org>2011-06-10 12:47:20 +0100
committerRichard Hughes <richard@hughsie.com>2011-06-10 12:49:09 +0100
commite0a9816c776de4519081171bc5084fd459b1372f (patch)
treed24fde3eb943589ca09fce34a94c133324e09559 /autogen.sh
parentc1e5e2947319f748ebe94e466c97d98296e85a71 (diff)
downloadcolord-e0a9816c776de4519081171bc5084fd459b1372f.tar.gz
Use upstream gettext instead the glib one
Signed-off-by: Richard Hughes <richard@hughsie.com>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh41
1 files changed, 18 insertions, 23 deletions
diff --git a/autogen.sh b/autogen.sh
index 7d9bfef..9a58da9 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -9,32 +9,27 @@
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
-(test -f $srcdir/configure.ac) || {
- echo -n "**Error**: Directory \"\'$srcdir\'\" does not look like the"
- echo " top-level package directory"
- exit 1
-}
+olddir=`pwd`
+cd "$srcdir"
-if ([ -z "$*" ] && [ "x$NOCONFIGURE" = "x" ]) ; then
- echo "**Warning**: I am going to run 'configure' with no arguments."
- echo "If you wish to pass any to it, please specify them on the"
- echo "'$0' command line."
- echo
+GTKDOCIZE=`which gtkdocize`
+if test -z $GTKDOCIZE; then
+ echo "*** No GTK-Doc found, please install it ***"
+ exit 1
fi
-(cd $srcdir && gtkdocize) || exit 1
-(cd $srcdir && autoreconf --force --install) || exit 1
-(cd $srcdir && intltoolize) || exit 1
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please install it ***"
+ exit 1
+fi
-conf_flags="--enable-gtk-doc"
+gtkdocize || exit $?
+autopoint --force
+AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
-if test x$NOCONFIGURE = x; then
- echo Running $srcdir/configure $conf_flags "$@" ...
- $srcdir/configure $conf_flags "$@" \
- && echo Now type \`make\' to compile. || exit 1
-else
- echo Skipping configure process.
-fi
+cd "$olddir"
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"